#! /usr/bin/env python3
# -*- coding: utf-8 -*-
"""Test the Hexagon instrument."""

import os
from tempfile import TemporaryDirectory

from lisainstrument import Hexagon


def test_run():
    """Test that simulations can run."""
    hexagon = Hexagon()
    hexagon.simulate()


def test_write():
    """Test that simulations can run and be written."""
    with TemporaryDirectory() as temp_dir:
        hexagon = Hexagon()
        hexagon.simulate()
        path = os.path.join(temp_dir, "measurements.h5")
        hexagon.write(path, mode="w")

        assert os.path.isfile(path)
